PROGRAM TEST;

{ Oliver Kirchkamp / 25. 3. 1992
  This program is only for *debugging* of the module CONVERT.PAS,
  it asks for a WP-MATH-Formula and uses CONVERT.PAS to translate it
  approximately into TeX-MATH }

CONST TEX_MAX_STACK=3;

VAR sx        : STRING;
    texcommand: ARRAY[1..TEX_MAX_STACK] OF STRING;
    i         : INTEGER;
    hbox      : boolean;

PROCEDURE typeout(VAR s:string);
  BEGIN
   write(s);
   s:='';
  END;

{$I CONVERT.PAS}

BEGIN
   WHILE TRUE DO BEGIN
      readln(sx);
      start_tex_math;
      FOR i:=1 TO length(sx) DO add_texcommand(ord(sx[i]));
      end_tex_math;
      writeln;
   END;
END.
